
Dashboard - Feature #38234

mgr/dashboard Replace broken osd 

02/08/2019 01:46 PM - Elzbieta Dziomdziora

Status: Resolved % Done: 0%

Priority: Normal   

Assignee: Kiefer Chang   

Category: Component - OSDs   

Target version: v16.0.0   

Source: Community (dev) Reviewed:  

Tags:  Affected Versions:  

Backport: octopus Pull request ID: 35242

Description

In cluster->osd add features:

destroy selected OSD

restore selected  osd -> restore removed osd.

On ceph dashboard add stubs, which can be extend in Ceph Orchestrator in the future.

Related issues:

Related to Dashboard - Feature #36596: Integrate the Orchestrator interface i... New

Related to Dashboard - Feature #40335: mgr/dashboard: Create OSD on spare disks Resolved

Related to Dashboard - Feature #43062: mgr/dashboard: Add `Remove OSD` feature Resolved

Related to Orchestrator - Bug #44769: cephadm doesn't reuse osd_id of 'destro... Resolved

Copied to Dashboard - Backport #46173: octopus: mgr/dashboard Replace broken ... Resolved

History

#1 - 02/25/2019 10:27 AM - Sebastian Wagner

- Related to Feature #36596: Integrate the Orchestrator interface into the dashboard added

#2 - 06/13/2019 12:39 PM - Sebastian Wagner

- Subject changed from mgr/dashboard add restart/restore osd on the host.  to mgr/dashboard Replace broken osd 

- Description updated

#3 - 09/23/2019 12:51 PM - Lenz Grimmer

- Related to Feature #40335: mgr/dashboard: Create OSD on spare disks added

#4 - 11/29/2019 08:36 AM - Kiefer Chang

- Related to Feature #43062: mgr/dashboard: Add `Remove OSD` feature added

#5 - 03/26/2020 02:48 PM - Kiefer Chang

- Related to Bug #44769: cephadm doesn't reuse osd_id of 'destroyed' osds added

#6 - 03/26/2020 02:49 PM - Kiefer Chang

Need to figure out a flow to replace OSD.

#7 - 06/23/2020 03:47 PM - Lenz Grimmer

- Status changed from New to Pending Backport

- Assignee set to Kiefer Chang

- Target version set to v16.0.0
- Backport set to octopus

- Pull request ID set to 35242

#8 - 06/24/2020 10:42 AM - Nathan Cutler

- Copied to Backport #46173: octopus: mgr/dashboard Replace broken osd  added

#9 - 07/10/2020 05:58 PM - Nathan Cutler

- Status changed from Pending Backport to Resolved

While running with --resolve-parent, the script "backport-create-issue" noticed that all backports of this issue are in status "Resolved" or "Rejected".

#10 - 04/15/2021 05:25 PM - Ernesto Puerta

- Project changed from mgr to Dashboard

- Category changed from 138 to Component - OSDs
